%define		major	7.0
%define		libname	%mklibname sndio %{major}
%define		devel	%mklibname sndio -d

Name:		sndio
Version:	1.9.0
Release:	%mkrel 2
Summary:	A sound library
Group:		Sound
License:	ISC
URL:		http://www.sndio.org
Source0:	http://www.sndio.org/%{name}-%{version}.tar.xz

BuildRequires:	pkgconfig(alsa)
Requires(post):	rpm-helper
Requires(preun):	rpm-helper
Requires:	%{libname} = %{version}-%{release}

%description
sndio is a sound library.

%package -n	%{libname}
Summary:	Libraries for %{name}
Group:		System/Libraries
Provides: libsndio.so.7.0()(64bit)

%description -n	%{libname}
These are libraries for %{name}.

%package -n	%{devel}
Summary:	This includes the development files for %{name}
Group:		Development/Libraries
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n	%{devel}
Here are the development files for %{name}.

%prep
%setup-q

%build
%setup_compile_flags
./configure \
--prefix=%{_prefix} \
--libdir=%{_libdir} \
--mandir=%{_mandir}

%make_build

%install
%make_install

# Install sndiod systemd service file
%__install -Dm 644 contrib/default.%{name}d %{buildroot}%{_sysconfdir}/default/%{name}d

%ifarch x86_64 aarch64
%__mkdir_p %{buildroot}%{_libdir}/pkgconfig
mv %{buildroot}/usr/lib/pkgconfig/sndio.pc %{buildroot}%{_libdir}/pkgconfig
%endif

%pre
%_pre_useradd %{name}d /dev/null /bin/false
/usr/sbin/usermod -a -G audio %{name}d

%postun
/usr/sbin/usermod -G %{name}d %{name}d

%files
%{_bindir}/aucat
%{_bindir}/midicat
%{_bindir}/sndio*
%{_mandir}/man*/*
%{_sysconfdir}/default/%{name}d

%files -n	%{libname}
%{_libdir}/libsndio.so.*

%files -n	%{devel}
%{_libdir}/libsndio.so
%{_includedir}/sndio.h
%{_libdir}/pkgconfig/sndio.pc

%changelog
* Fri Dec 30 2022 tex - 1.9.0-2pclos2022
- fix rpm group

* Tue Nov 1 2022 tex - 1.9.0-1pclos2022
- new version
